*,
*::after,
*::before {
  box-sizing: border-box;
}

body {
  font-family: "Roboto", sans-serif;
  background-image: url(../img/Background/background\ 1.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  padding-top: 46px;
  padding-bottom: 15px;
}
.container {
  width: 1024px;
  margin: 0 auto;
}

.header-flex-container {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  margin-bottom: 17px;
}
.logo {
  display: flex;
  align-items: flex-end;
  gap: 8px;
  position: relative;
}

.img-logo-picture {
  position: absolute;
  left: 0;
  right: 0;
  opacity: 0;
  pointer-events: none;
}

.logo:hover .logo-text1,
.logo:hover .logo-text2 {
  color: #f26522;
}

.logo:hover .img {
  opacity: 0;
  pointer-events: none;
}

.logo:hover .img-logo-picture {
  opacity: 1;
  pointer-events: all;
}

.logo-text1 {
  font-weight: bold;
  font-size: 29px;
  line-height: 29px;
  color: #ffffff;
}
.logo-text2 {
  font-weight: bold;
  font-size: 18px;
  line-height: 18px;
  color: #ffffff;
}

.e-mail {
  font-size: 18px;
  line-height: 18px;
  color: #ffffff;
}

.e-mail:hover {
  color: #f26522;
}
.call {
  font-size: 18px;
  line-height: 18px;
  color: #ffffff;
  font-weight: 400;
}

.call:hover {
  color: #f26522;
}

.header-contact-us {
  display: flex;
  flex-direction: column;
  gap: 19px;
  align-items: flex-end;
}
.grid-container {
  display: grid;
  grid-template-columns: repeat(3, minmax(max-content, 1fr));
  grid-template-rows: repeat(3, min-content);
  column-gap: 55px;
}

.item-1 {
  grid-area: 1 / 1 / 2 / 2;
  margin-bottom: 37px;
}
.item-2 {
  grid-area: 1 / 2 / 2 / 3;
  margin-bottom: 37px;
}
.item-3 {
  grid-area: 1 / 3 / 2 / 4;
  margin-bottom: 37px;
}
.item-4 {
  grid-area: 2 / 1 / 3 / 2;
}
.item-5 {
  grid-area: 2 / 2 / 3 / 3;
}
.item-6 {
  grid-area: 2 / 3 / 3 / 4;
}

.transition-hover {
  position: relative;
  overflow: hidden;
}

.img-wrapper:hover .under-picture-text {
  color: #f26522;
}

.img-hover {
  background-color: #f26522;
  padding-top: 7px;
  padding-bottom: 12px;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  position: absolute;
  left: 0;
  top: 500px;
  opacity: 0;
  pointer-events: none;
  width: 100%;
}
.img-wrapper:hover .img-hover {
  opacity: 1;
  pointer-events: all;
  top: 167px;
  left: 0;
  transition: 2s ease;
}

.text-price {
  display: flex;
  flex-direction: column;
  margin-left: 16px;
  gap: 8px;
}

.from {
  font-size: 10px;
  line-height: 10px;
  color: #ffffff;
}

.price {
  font-size: 20px;
  line-height: 20px;
  color: #ffffff;
}

.details {
  display: flex;
  font-size: 14px;
  line-height: 14px;
  color: #ffffff;
  margin-right: 30px;
}

.details::after {
  content: "";
  display: inline-block;
  width: 7px;
  height: 7px;
  border-top: 1px solid white;
  border-right: 1px solid white;
  transform: rotate(45deg);
  position: absolute;
  top: 34px;
  left: 283px;
  margin-right: 200px;
}

.under-picture-container {
  text-align: center;
  margin-top: 20px;
}
.under-picture-text {
  font-size: 18px;
  line-height: 18px;
  color: #ffffff;
}

.copyright {
  margin-top: 49px;
  font-size: 12px;
  line-height: 12px;
  color: #ffffff;
  text-align: center;
  margin-top: 49px;
}
